# Docs For Class Swift_Plugins_Loggers_EchoLogger

## Class Swift_Plugins_Loggers_EchoLogger

(line 18)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Plugins/Loggers/EchoLogger.php

##### Prints all log messages in real time.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Plugins_Loggers_EchoLogger __construct ([boolean $isHtml = true])
void add (string $entry)
void clear ()
void dump ()

#### Constructor __construct (line 29)

#### Swift_Plugins_Loggers_EchoLogger __construct( [boolean $isHtml = true])

##### Create a new EchoLogger.

#### Parameters

- boolean $isHtml:

#### Info

- access - public

#### Method add (line 38)

#### void add( string $entry)

Implementation of:

Swift_Plugins_Logger::add()
  Add a log entry.

##### Add a log entry.

#### Parameters

- string $entry:

#### Info

- access - public

#### Method clear (line 53)

#### void clear( )

Implementation of:

Swift_Plugins_Logger::clear()
  Clear the log contents.

##### Not implemented.

#### Info

- access - public

#### Method dump (line 60)

#### void dump( )

Implementation of:

Swift_Plugins_Logger::dump()
  Get this log as a string.

##### Not implemented.

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:19 +0000 by phpDocumentor 1.4.3